Bug 6555 - only 10 lists in pull down when adding from a bib record
Summary: only 10 lists in pull down when adding from a bib record
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Chris Cormack
QA Contact: Bugs List
URL: cgi-bin/koha/virtualshelves/addbybibl...
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-05 15:33 UTC by Nicole C. Engard
Modified: 2013-12-05 20:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
10 lists instead of 12 (or all) (28.11 KB, image/png)
2011-07-05 15:33 UTC, Nicole C. Engard
Details
Bug 6555 : only 10 lists show in the staff client (2.21 KB, patch)
2011-09-04 23:28 UTC, Chris Cormack
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6555 : only 10 lists show in the staff client (2.29 KB, patch)
2011-09-06 14:43 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-07-05 15:33:26 UTC
Created attachment 4559 [details]
10 lists instead of 12 (or all)

I have attached a screenshot of the problem. We currently have 12 public lists (and I have 1 private list) but when I try to add to a list from within a bib record in the staff client, I only get a list of 10...and of course the one I need (Educations & Licensure) is not on it.
Comment 1 Chris Cormack 2011-08-29 02:29:45 UTC
Works on OPAC, just not staff side, working on a fix now
Comment 2 Chris Cormack 2011-08-29 02:42:44 UTC
The problem comes from 

else {    # this shelf doesn't already exist.
    my $limit = 10;

Then it calls GetRecentShelves

The opac, just calls GetAllShelves with no limit set


I can change the intranet to match, would having no limit be a worry to anyone?
Comment 3 Nicole C. Engard 2011-08-29 11:02:17 UTC
If you didn't get all shelves, how would you add to shelves that aren't showing in the pull down - would you have to go to the list and add by barcode instead? I think if it works in the OPAC we should do the same in the staff client so that people can add to lists the same way in both places.
Comment 4 Ian Walls 2011-08-29 14:04:25 UTC
I agree with Nicole that the behaviour should be consistent.

A more robust solution would be YASP (yet another system preference) to control how many titles are shown on the list.  Even more, we could have two, one for OPAC and one for staff client.  Not recommending this, just pointing it out as an option.
Comment 5 Owen Leonard 2011-08-29 14:07:10 UTC
I don't think a system preference would be useful. The problem would remain: there wouldn't be any reasonable way for the user to add a title to one of the lists which wasn't shown.
Comment 6 Chris Cormack 2011-09-04 23:06:18 UTC
Righto, ill just make show all for now someone if they feel so moved can do an enchancement to make it show some and then have a show all button if they feel so moved.
Comment 7 Chris Cormack 2011-09-04 23:28:10 UTC Comment hidden (obsolete)
Comment 8 Nicole C. Engard 2011-09-06 14:42:46 UTC
this works, however there is still an issue on the search results in the staff client when adding to a list - but this bug didn't mention that.
Comment 9 Nicole C. Engard 2011-09-06 14:43:14 UTC
Created attachment 5319 [details] [review]
[SIGNED-OFF] Bug 6555 : only 10 lists show in the staff client

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 10 Ian Walls 2011-09-06 14:46:53 UTC
Mostly an SQL change, with some params called differently depending on context.  Marking as Passed QA
Comment 11 Chris Cormack 2011-09-06 21:07:12 UTC
Pushed, please test
Comment 12 Chris Nighswonger 2011-10-26 18:02:34 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.
Comment 13 Jared Camins-Esakov 2012-12-31 00:18:17 UTC
There have been no further reports of problems so I am marking this bug resolved.